## librrd-transport-ocaml 0.7.1

=== Makefile ===
all: build

TESTS_FLAG=--enable-tests

NAME=rrd-transport
J=4

LIBDIR=_build/lib

setup.ml: _oasis
	oasis setup

setup.data: setup.ml
	ocaml setup.ml -configure $(TESTS_FLAG)

build: setup.data setup.ml
	ocaml setup.ml -build -j $(J)

doc: setup.data setup.ml
	ocaml setup.ml -doc -j $(J)

install: setup.data setup.ml
	ocaml setup.ml -install

uninstall:
	ocamlfind remove $(NAME)

test: setup.ml build
	LD_LIBRARY_PATH=$(LIBDIR):$(LD_LIBRARY_PATH) ./test_suite.byte
#	ocaml setup.ml -test

reinstall: setup.ml
	ocamlfind remove $(NAME) || true
	ocaml setup.ml -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log

=== debian/changelog ===
librrd-transport-ocaml (0.7.1-1) UNRELEASED; urgency=low

  * Update to 0.7.1

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

librrd-transport-ocaml (0.5.0-1) UNRELEASED; urgency=low

  * Initial package

 -- John Else <john.else@citrix.com>  Mon, 16 Dec 2013 12:00:00 +0000

=== debian/control ===
Source: librrd-transport-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-rrd-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libgnt-ocaml-dev,
 ocaml-findlib,
 libcrc-ocaml-dev,
 ocaml-native-compilers,
 libcstruct-ocaml-dev,
 libcmdliner-ocaml-dev

Package: librrd-transport-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-nox,
 ocaml-native-compilers,
 ocaml-findlib
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Shared-memory protocols for transmitting RRD data
 Shared-memory protocol for transmitting RRD data, supporting in-
 memory files and shared Xen pages.

Package: librrd-transport-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 librrd-transport-ocaml (>= 0.7.1-1),
 libgnt-ocaml-dev,
 libcrc-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-rrd-transport
 The ocaml-rrd-transport-devel package contains libraries and
 signature files for developing applications that use ocaml-rrd-
 transport.

## librrd-transport-ocaml 0.7.2

=== debian/changelog ===
librrd-transport-ocaml (0.7.2-1) UNRELEASED; urgency=low

  * Update to 0.7.2

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 24 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- librrd-transport-ocaml (>= 0.7.1-1),
+ librrd-transport-ocaml (>= 0.7.2-1),
  libgnt-ocaml-dev,
  libcrc-ocaml-dev
 Provides: ${ocaml:Provides}
